- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MIndexBufferDescriptorList Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

A list of MIndexBufferDescriptor objects.

`#include <MHWGeometry.h>`

List of all members.

## Public Member Functions
| MIndexBufferDescriptorList ()
| Constructor.
| ~MIndexBufferDescriptorList ()
| Destructor.
int | length () const
| Get the number of descriptors in the list.
bool | getDescriptor (int index, MIndexBufferDescriptor &desc) const
| Gets the descriptor at the requested index and copies data into desc.
bool | append (const MIndexBufferDescriptor &desc)
| Add a descriptor to the list.
bool | removeAt (int index)
| Remove a descriptor from the list and delete it.
void | clear ()
| Clears the list.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class. Search for all occurrences

## Member Function Documentation

int length | ( |  | ) | const

Search for all occurrences

Get the number of descriptors in the list.

Returns:
  The number of descriptors in the list

bool getDescriptor | ( | int | index,
|  | MIndexBufferDescriptor & | desc
| ) |  | const

Search for all occurrences

Gets the descriptor at the requested index and copies data into desc.

Parameters:

  [in] | index | The index of the descriptor to retrieve
  [out] | desc | The descriptor to populate with the retrieved data

Returns:
  True on success

bool append | ( | const MIndexBufferDescriptor & | desc | ) |

Search for all occurrences

Add a descriptor to the list.

Creates and stores a copy which is owned by the list.

Parameters:

  [in] | desc | The descriptor to add.

Returns:
  True on success

bool removeAt | ( | int | index | ) |

Search for all occurrences

Remove a descriptor from the list and delete it.

Parameters:

  [in] | index | The index of the descriptor to remove

Returns:
  True on success

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList
MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList MIndexBufferDescriptorList